Core - Task # 36825

Feature # 31893 (Resolved): Allow XCLASSes to be defined via ext_autoload.php

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Linkvalidator
Created: 2012-05-03 Assigned To:

Updated: 2013-12-10 Due date:

TYPOS3 Version: 6.0

PHP Version: 53

Complexity: no-brainer

Sprint Focus:

Subject: Remove XCLASS definitions

Description

All XCLASS definitions can be removed in TYPO3 6.0

Associated revisions

Revision fec61dd0 - 2012-05-04 19:01 - Philipp Gampe

[TASK] Remove XCLASS definitions

Change-Id: le9e1f5f9e0a142231b7b5601de0d31ddbe4498c9

Resolves: #36825

Releases: 6.0

Revision 6510279 - 2012-05-04 19:01 - Philipp Gampe

[TASK] Remove XCLASS definitions

Change-Id: le9e1f5f9e0a142231b7b5601de0d31ddbe4498c9

Resolves: #36825

Releases: 6.0

Revision 504f9a72 - 2012-06-08 17:35 - Philipp Gampe

[TASK] Remove xclass definitions from linktype classes

Change-Id: 16d9037bf36fe2e9a189ecf472e16f3d6af283e8¢

Resolves: #36825

Releases: 6.0

Revision e3e4e545 - 2012-06-08 17:35 - Philipp Gampe

[TASK] Remove xclass definitions from linktype classes

Change-Id: 16d9037bf36fe2e9a189ecf472e16f3d6af283e8c

Resolves: #36825
Releases: 6.0
History

#1 - 2012-05-03 23:49 - Philipp Gampe
- Status changed from New to Accepted

#2 - 2012-05-04 19:02 - Philipp Gampe
- Tracker changed from Bug to Task

#3 - 2012-05-04 19:02 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11001

#4 - 2012-05-05 02:30 - Anonymous
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:fec61dd0c97a98bf344f7935d39747d01744072a.

#5 - 2012-06-08 16:59 - Chris topher
- Status changed from Resolved to Needs Feedback
- % Done changed from 100 to 50

Is it by intention that there still are XClasses in some of the files in classes/linktype/?

If not, these should still be removed.

#6 - 2012-06-08 17:32 - Philipp Gampe

| do not think so. | will push a patch.

#7 - 2012-06-08 17:36 - Gerrit Code Review
- Status changed from Needs Feedback to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11890

#8 - 2012-06-08 20:30 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 50 to 100

Applied in changeset commit:504f9a728d15e55543a19062ce369d3eadf19100.
http://review.typo3.org/11001
http://review.typo3.org/11890

#9 - 2013-12-10 01:31 - Michael Stucki
- Category set to Linkvalidator

#10 - 2013-12-10 01:33 - Michael Stucki

- Project changed from Linkvalidator to Core

- Category changed from Linkvalidator to Linkvalidator
